import subprocess

from bopytex.message import Message, SubprocessMessage

def pdfjam(args: dict, deps, output):
    joining_process = subprocess.Popen(
        ["pdfjam"] +  deps + ["-o", output],
        stdout=subprocess.PIPE,
        stderr=subprocess.PIPE,
        universal_newlines=True,
    )
    #return SubprocessMessage(joining_process)
    return Message(
        joining_process.wait(),
        list(joining_process.stdout),
        list(joining_process.stderr),
        )

